#!/bin/sh

# Figure out our root directory
ROOTDIR=$(pwd)
unset CHROOT
if [ "${ROOTDIR}" != "/" ] ; then
  ROOTDIR="${ROOTDIR}/"
  CHROOT="chroot ${ROOTDIR} "
fi

# update the gtk-icon-cache
if [ -x usr/bin/gtk-update-icon-cache ] ; then
  for dir in usr/share/icons/* ; do
    if [ -d $dir ]; then
       ${CHROOT} usr/bin/gtk-update-icon-cache --quiet -f -t $dir 2> /dev/null
    fi
  done
fi

